Roku Developer Program

Developers and content creators—a complete solution for growing an audience directly.
cancel
Showing results for 
Search instead for 
Did you mean: 
Veeta
Level 7

Firmware 6.1 Build 5517 and curl SSL errors?

I'm seeing a -35 error CURLE_SSL_CONNECT_ERROR which seems to only have appeared since the firmware update. It could be coincidence and unrelated to the firmware update but I wonder if the curl version got updated and SSL options for roUrlTranser have changed.

I'm going to get more details from the network but thought I would ask in case others were seeing similar issues.
0 Kudos
2 Replies
Roku Employee
Roku Employee

Re: Firmware 6.1 Build 5517 and curl SSL errors?

Pretty sure that has to do with the PoodleBleed bug, probably you need to implement the fixes for poodlebleed vulnerability on your server.

- Joel
0 Kudos
Veeta
Level 7

Re: Firmware 6.1 Build 5517 and curl SSL errors?

I think you're right. Unfortunately I don't have access to the server to apply changes there. I did track it down to TLS handshaking, the server sends a RST when it can't negotiate a cipher suite.

I'm investigating other workarounds at the moment, perhaps cutting the problematic server out of the loop.
0 Kudos